Subject: Re: bug#38452: 26.3; set-frame-position is slightly drifted

From: martin rudalics <[email-masked]>
Date: Mon, 2 Dec 2019 10:41:35 +0100

> I noticed a strange behaviour with the function set-frame-position.
 > This happens even when starting from `emacs -q --no-site-file`
 >
 > If I evaluate  the following expression:
 >
 > (let ((x (frame-parameter nil 'left))
 >        (y (frame-parameter nil 'top)))
 >    (set-frame-position nil x y))
 >
 > ( by  C-X C-E in the file or with M-: )
 >
 > the behaviour that I expect would be  that the frame stays still since I use
 > the original left and top position to reset the position.
 > However the frame is slightly drifted by 10 pixel to the left and 8
 > pixels to the top.
 > If I repeat the evaluation of the expression the frame keeps moving.
 >
 > More generally (set-frame-position ...) seems to be off by (-10,-8).

Does

(set-frame-position nil 0 0)

work "as intended" for you?  Also when evaluated two or more times in
succession?

martin